Skip to main content
PUT
update a post

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

preserve-edited-at
boolean
default:false

Preserve the editedAt value when updating a post. If the value is true, the editedAt value will not be updated. If the value is false, the editedAt value will be updated.

Path Parameters

postId
string
required

Body

application/json

information of a post to be updated.

Image, File, Video post update - Put type with file id in attachments - Image and File data can be picked from fileId in data object in child post - Video fileId for each resolution will be in videoFileId in data object in child post

text
string
deprecated
data
object
metadata
object

Array of URL links extracted from content with metadata for link preview rendering

Maximum array length: 100
tags
string[]
Maximum array length: 5

tags

hashtags
string[]

Hashtags for the post.

Maximum array length: 30
Maximum string length: 100
Example:
mentionees
object[]

The object of the mentions type and user who get a notification from the post.

attachments
object[]
reason
string

Optional reason for the edit (admin only, ignored for regular users)

Maximum string length: 300

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
roles
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
polls
object[]